org.apache.commons.io.input

## Class ObservableInputStream.Observer

- java.lang.Object
- - org.apache.commons.io.input.ObservableInputStream.Observer

Direct Known Subclasses:
  MessageDigestCalculatingInputStream.MessageDigestMaintainingObserver

Enclosing class:
  ObservableInputStream

    public abstract static class ObservableInputStream.Observer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Observer()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Observer

    public Observer()